// Code generated by mockery v2.42.2. DO NOT EDIT.

package runner

import mock "github.com/stretchr/testify/mock"

// mockImageResolver is an autogenerated mock type for the imageResolver type
type mockImageResolver struct {
	mock.Mock
}

// HelperImage provides a mock function with given fields:
func (_m *mockImageResolver) HelperImage() (string, error) {
	ret := _m.Called()

	if len(ret) == 0 {
		panic("no return value specified for HelperImage")
	}

	var r0 string
	var r1 error
	if rf, ok := ret.Get(0).(func() (string, error)); ok {
		return rf()
	}
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// RunnerImage provides a mock function with given fields:
func (_m *mockImageResolver) RunnerImage() (string, error) {
	ret := _m.Called()

	if len(ret) == 0 {
		panic("no return value specified for RunnerImage")
	}

	var r0 string
	var r1 error
	if rf, ok := ret.Get(0).(func() (string, error)); ok {
		return rf()
	}
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// newMockImageResolver creates a new instance of mockImageResolver. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func newMockImageResolver(t interface {
	mock.TestingT
	Cleanup(func())
}) *mockImageResolver {
	mock := &mockImageResolver{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
